Simplified XF 1.1.0

Public Member Functions | Protected Types | Protected Attributes | List of all members
XFEventQueue Class Reference
IDF Qt Port Classes | IDF STM32 Port Classes

Default Qt implementation for the XFEventQueue interface. More...

`#include <eventqueue.h>`

Inheritance diagram for XFEventQueue:
Collaboration diagram for XFEventQueue:

## Public Member Functions
bool | empty () const override
| Returns true if no event is in the queue. More...
bool | push (const XFEvent *pEvent, bool fromISR=false) override
| Pushes the given event onto the queue. Returns false if the event could not be pushed. More...
const XFEvent * | front () override
| Returns pointer to next event to pop. More...
void | pop () override
| Pops the next event from the queue. More...
bool | pend () override
| Wait for the next event to arrive. Returns true if an event is in the queue. More...
bool | empty () const override
| Returns true if no event is in the queue. More...
bool | push (const XFEvent *pEvent, bool fromISR=false) override
| Pushes the given event onto the queue. More...
const XFEvent * | front () override
| Returns pointer to next event to pop. More...
void | pop () override
| Pops the next event from the queue. More...
bool | pend () override
| Wait for the next event to arrive. Returns true if an event is in the queue. More...

## Protected Types
typedef QQueue< const XFEvent * > | EventQueue
| Type of the event queue.
typedef std::queue< const XFEvent * > | EventQueue
| Type of the event queue.

## Protected Attributes
QMutex | mutex_
| Mutex (non-recursive) protecting access to _queue.
QWaitCondition | newEvents_
| Wait condition to let thread wait until a new event arrives.
EventQueue | queue_
| Internal queue holding the events.
Mutex | mutex_
| Mutex protecting access to queue_.

## Detailed Description

Default Qt implementation for the XFEventQueue interface.

Default implementation of the event queue using a `std::queue` as container.

This class does not provide a blocking pend() method. This means that this class can be used in an IDF, but is not the right choice for a RTOS based XF.

## Constructor & Destructor Documentation

## ◆ ~XFEventQueue() [1/2]

XFEventQueue::~XFEventQueue | ( |  | ) |
| override virtual

Reimplemented from interface::XFEventQueue.

## ◆ ~XFEventQueue() [2/2]

virtual XFEventQueue::~XFEventQueue | ( |  | ) |
| virtual

Reimplemented from interface::XFEventQueue.

## Member Function Documentation

## ◆ empty() [1/2]

bool XFEventQueue::empty | ( |  | ) | const
| override virtual

Returns true if no event is in the queue.

Implements interface::XFEventQueue.

## ◆ empty() [2/2]

bool XFEventQueue::empty | ( |  | ) | const
| override virtual

Returns true if no event is in the queue.

Implements interface::XFEventQueue.

## ◆ front() [1/2]

const XFEvent * XFEventQueue::front | ( |  | ) |
| override virtual

Returns pointer to next event to pop.

Implements interface::XFEventQueue.

## ◆ front() [2/2]

const XFEvent * XFEventQueue::front | ( |  | ) |
| override virtual

Returns pointer to next event to pop.

Implements interface::XFEventQueue.

## ◆ pend() [1/2]

bool XFEventQueue::pend | ( |  | ) |
| override virtual

Wait for the next event to arrive. Returns true if an event is in the queue.

Implements interface::XFEventQueue.

## ◆ pend() [2/2]

bool XFEventQueue::pend | ( |  | ) |
| override virtual

Wait for the next event to arrive. Returns true if an event is in the queue.

Implements interface::XFEventQueue.

## ◆ pop() [1/2]

void XFEventQueue::pop | ( |  | ) |
| override virtual

Pops the next event from the queue.

Implements interface::XFEventQueue.

## ◆ pop() [2/2]

void XFEventQueue::pop | ( |  | ) |
| override virtual

Pops the next event from the queue.

Implements interface::XFEventQueue.

## ◆ push() [1/2]

bool XFEventQueue::push | ( | const XFEvent * | pEvent,
|  | bool | fromISR = `false`
| ) |  |
| override virtual

Pushes the given event onto the queue. Returns false if the event could not be pushed.

Implements interface::XFEventQueue.

## ◆ push() [2/2]

bool XFEventQueue::push | ( | const XFEvent * | pEvent,
|  | bool | fromISR = `false`
| ) |  |
| override virtual

Pushes the given event onto the queue.

Implements interface::XFEventQueue.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/port/idf-qt/eventqueue.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/port/idf-stm32/eventqueue.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/port/idf-qt/eventqueue.cpp
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/port/idf-stm32/eventqueue.cpp